Index: trunk/SRC/Colors/color24.pro
===================================================================
--- trunk/SRC/Colors/color24.pro	(revision 157)
+++ trunk/SRC/Colors/color24.pro	(revision 163)
@@ -33,5 +33,5 @@
 ;
 ;-
-FUNCTION COLOR24, rgb_triple
+FUNCTION color24, rgb_triple
 ;
   compile_opt idl2, strictarrsubs
Index: trunk/SRC/Colors/colorbar.pro
===================================================================
--- trunk/SRC/Colors/colorbar.pro	(revision 157)
+++ trunk/SRC/Colors/colorbar.pro	(revision 163)
@@ -37,6 +37,6 @@
 ; The format of the bar annotations.
 ;
-; @keyword CB_LABEL 
-; A vector to specify sticks values of the color bar. It allowes,
+; @keyword CB_LABEL {type=vector}
+; A vector to specify sticks values of the color bar. It allows,
 ; when we use DISCRETE, to have colors that don't increase by
 ; increments in a regular way.
@@ -115,5 +115,5 @@
 ;
 ;-
-PRO COLORBAR, BOTTOM=bottom, CB_CHARSIZE=cb_charsize, CB_CHARTHICK=cb_charthick $
+PRO colorbar, BOTTOM=bottom, CB_CHARSIZE=cb_charsize, CB_CHARTHICK=cb_charthick $
               , CB_COLOR=cb_color, DIVISIONS=divisions, DISCRETE=discrete $
               , CB_LABEL = cb_label, FORMAT=format, POSITION=position $
Index: trunk/SRC/Colors/getcolor.pro
===================================================================
--- trunk/SRC/Colors/getcolor.pro	(revision 157)
+++ trunk/SRC/Colors/getcolor.pro	(revision 163)
@@ -94,5 +94,5 @@
 ; value is ignored unless the LOAD keyword is also set. The keyword is also
 ; ignored if the TRUE keyword is set or if color decomposition in on in
-; IDL 5.2 and higher. The default value for the START keyword is
+; IDL 5.2 and higher.
 ;
 ; @keyword TRUE  
@@ -183,5 +183,5 @@
 ; Added the INDEX parameter to the program 8 Mar 99. DWF
 ; Added the NAMES keyword at insistence of Martin Schultz. 10 Mar 99. DWF
-; Reorderd the colors so black is first and white is last. 7 June 99. DWF
+; Reordered the colors so black is first and white is last. 7 June 99. DWF
 ; Added automatic recognition of DECOMPOSED=1 state. 7 June 99. DWF
 ; Added LOAD AND START keywords. 7 June 99. DWF.
@@ -190,5 +190,5 @@
 ;-
 
-FUNCTION GETCOLOR, thisColor, index, TRUE=truecolor, $
+FUNCTION getcolor, thisColor, index, TRUE=truecolor, $
    NAMES=colornames, LOAD=load, START=start
 ;
Index: trunk/SRC/Colors/lct.pro
===================================================================
--- trunk/SRC/Colors/lct.pro	(revision 157)
+++ trunk/SRC/Colors/lct.pro	(revision 163)
@@ -13,5 +13,5 @@
 ; @keyword LIGHTNESS 
 ; a scalar used to change the Lightness of the color
-; palette to be abble to adjust according to the printer we use,
+; palette to be able to adjust according to the printer we use,
 ; the media (paper or slide)... 
 ;               lightness < 1 to get lighter colors
@@ -23,5 +23,5 @@
 ; @keyword GET_NAME
 ; Set this keyword to a named variable in which the names of the color tables
-; are reurned as a string array. No changes are made to the color table.
+; are returned as a string array. No changes are made to the color table.
 ;
 ; @keyword _EXTRA
Index: trunk/SRC/Colors/newpalette.pro
===================================================================
--- trunk/SRC/Colors/newpalette.pro	(revision 157)
+++ trunk/SRC/Colors/newpalette.pro	(revision 163)
@@ -4,5 +4,5 @@
 ; @file_comments 
 ; Allows to save the palette which is on the screen
-; in a same type file than the one gven by default in IDL
+; in a same type file than the one given by default in IDL
 ; 'colors1.tbl'.
 ;
@@ -10,5 +10,5 @@
 ; Color
 ;
-; @param namepal {in}{required} 
+; @param namepal {in}{required}{type=string}
 ; a string containing the name of the new palette we want to write.
 ;
Index: trunk/SRC/Colors/xlct.pro
===================================================================
--- trunk/SRC/Colors/xlct.pro	(revision 157)
+++ trunk/SRC/Colors/xlct.pro	(revision 163)
@@ -2,5 +2,5 @@
 ; @hidden
 ;-
-PRO XLCT_PSAVE			;Save/Restore our plotting state.
+PRO xlct_psave			;Save/Restore our plotting state.
 ;  Swaps our state with the current state each time its called.
 ;
@@ -458,5 +458,5 @@
 ; will be undefined.
 ;
-; @history 5/5/1999 copie de xloadct par Sebastien Masson (smasson\@lodyc.jussieu.fr)
+; @history 5/5/1999 copy of xloadct par Sebastien Masson (smasson\@lodyc.jussieu.fr)
 ;
 ; @version $Id$
@@ -464,5 +464,5 @@
 ;-
 
-PRO XLct, SILENT=silent_f, GROUP=group, FILE=file, $
+PRO xlct, SILENT=silent_f, GROUP=group, FILE=file, $
           USE_CURRENT=use_current, NCOLORS = nc, BOTTOM=bottom, $
           MODAL=modal, BLOCK=block, UPDATECALLBACK=updt_cb_name, $
Index: trunk/SRC/Colors/xpal.pro
===================================================================
--- trunk/SRC/Colors/xpal.pro	(revision 157)
+++ trunk/SRC/Colors/xpal.pro	(revision 163)
@@ -7,5 +7,5 @@
 ; @hidden
 ;-
-function XP_NEW_COLORS
+function xp_new_colors
 ;
   compile_opt idl2, strictarrsubs
@@ -32,5 +32,5 @@
 ; @hidden
 ;-
-pro XP_ALERT_CALLER
+pro xp_alert_caller
 ;
   compile_opt idl2, strictarrsubs
@@ -61,5 +61,5 @@
 ; @hidden
 ;-
-pro XP_XLCTCALLBACK
+pro xp_xlctcallback
 ;
   compile_opt idl2, strictarrsubs
@@ -75,5 +75,5 @@
 ; @hidden
 ;-
-pro XP_REDRAW
+pro xp_redraw
 ;
   compile_opt idl2, strictarrsubs
@@ -103,5 +103,5 @@
 ; @hidden
 ;-
-pro XP_REPLOT, color_index, type
+pro xp_replot, color_index, type
 ;
   compile_opt idl2, strictarrsubs
@@ -190,5 +190,5 @@
 ; @hidden
 ;-
-pro XP_CHANGE_COLOR, type, value
+pro xp_change_color, type, value
 ;
   compile_opt idl2, strictarrsubs
@@ -236,5 +236,5 @@
 ; @hidden
 ;-
-pro XP_BUTTON_EVENT, event
+pro xp_button_event, event
 ;
   compile_opt idl2, strictarrsubs
@@ -388,5 +388,5 @@
 ;-
 
-pro XP_EVENT, event
+pro xp_event, event
 ;
   compile_opt idl2, strictarrsubs
@@ -542,5 +542,5 @@
 ; specified, a death of the caller results in a death of xpal
 ;
-; @keyword BLOCK
+; @keyword BLOCK {default=1}
 ; Set this keyword to have XMANAGER block when this
 ; application is registered.  By default the Xmanager
@@ -568,6 +568,7 @@
 ; will be undefined.
 ;
-; @history adaptation de xpalette pour ajouter un bouton save par
-;          Grima Nicolas (nglod\@ipsl.jussieu.fr) et par Masson
+; @history 
+; Adaptation of xpalette to add a save button by
+;          Grima Nicolas (nglod\@ipsl.jussieu.fr) and by Masson
 ;          Sebastien (smlod\@ipsl.jussieu.fr)
 ;
@@ -575,5 +576,5 @@
 ;
 ;-
-pro XPAL, GROUP=group, BLOCK=block, UPDATECALLBACK=updt_cb_name, $
+pro xpal, GROUP=group, BLOCK=block, UPDATECALLBACK=updt_cb_name, $
         UPDATECBDATA=updt_cb_data
 ;
